<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeFile="CatalogZone.aspx.cs" Inherits="CatalogZone_aspx" Title="Catalog Zones" %>
<%@ Register TagPrefix="uc1" TagName="Stocks" Src="Stocks.ascx" %>
<%@ Register TagPrefix="uc2" TagName="Weather" Src="Weather.ascx" %>
<%@ Register TagPrefix="uc3" TagName="News" Src="News.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="Title" Runat="server">
Catalog Zones</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Description" Runat="server">
This page demonstrates how to use catalog zones to add Web Parts to a page</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="Main" Runat="server">
    <asp:WebPartManager ID="WebPartManager1" Runat="server" OnDisplayModeChanged="WebPartManager1_DisplayModeChanged">
    </asp:WebPartManager>
    <table width="100%" cellspacing="0" cellpadding="0" border="0">
        <tr>
            <td align="left" height="1">
                <asp:LinkButton ID="LinkButton1" Runat="server" OnClick="LinkButton1_Click">Edit page layout</asp:LinkButton>
            </td>
        </tr>
        <tr height="6"><td></td></tr>
    </table>
    <table width="1px" height="1px" cellpadding="0" cellspacing="0">
        <tr>
            <td valign="top" align="left">
                <asp:WebPartZone ID="WebPartZone1" Runat="server" HeaderText="Zone 1" DragHighlightColor="244, 198, 96">
                    <PartTitleStyle BackColor="#2254B1" ForeColor="White"></PartTitleStyle>
                    <MenuStyle BorderStyle="Solid" BackColor="#eeeeee" Font-Names="Verdana" Font-Size="10pt"
                        BorderColor="Gray" BorderWidth="1px"></MenuStyle>
                    <VerbStyle ForeColor="LightBlue"></VerbStyle>
                    <ZoneTemplate >
                        <asp:Calendar Title="Calendar" ID="Calendar1" runat="server" BorderColor="White" Width="330px" BackColor="White" Font-Names="Verdana" Font-Size="9pt" NextPrevFormat="FullMonth" Height="190px" ForeColor="Black" BorderWidth="1px">
                            <SelectedDayStyle ForeColor="White" BackColor="#333399"></SelectedDayStyle>
                            <OtherMonthDayStyle ForeColor="#999999"></OtherMonthDayStyle>
                            <TodayDayStyle BackColor="#CCCCCC"></TodayDayStyle>
                            <NextPrevStyle ForeColor="#333333" Font-Size="8pt" Font-Bold="True" VerticalAlign="Bottom"></NextPrevStyle>
                            <DayHeaderStyle Font-Size="8pt" Font-Bold="True"></DayHeaderStyle>
                            <TitleStyle ForeColor="#333399" Font-Size="12pt" Font-Bold="True" BackColor="White" BorderColor="Black" BorderWidth="4px"></TitleStyle>
                        </asp:Calendar>
                    </ZoneTemplate>
                    <PartStyle BorderColor="#81AAF2" BorderStyle="Solid" BorderWidth="1px"></PartStyle>
                </asp:WebPartZone>
            </td>
            <td valign="top" align="left">
                <asp:WebPartZone ID="WebPartZone2" Runat="server" HeaderText="Zone 2" DragHighlightColor="244, 198, 96">
                    <PartTitleStyle BackColor="#2254B1" ForeColor="White"></PartTitleStyle>
                    <MenuStyle BorderStyle="Solid" BackColor="#eeeeee" Font-Names="Verdana" Font-Size="10pt"
                        BorderColor="Gray" BorderWidth="1px"></MenuStyle>
                    <VerbStyle ForeColor="LightBlue"></VerbStyle>
                    <ZoneTemplate>
                        <uc1:Stocks Title="Stocks" Runat="server" ID="Stocks1" />
                        <uc2:Weather Title="Weather" runat="server" ID="Weather1"  />
                    </ZoneTemplate>
                    <PartStyle BorderColor="#81AAF2" BorderStyle="Solid" BorderWidth="1px"></PartStyle>
                </asp:WebPartZone>
            </td>
            <td valign="top" align="left">
                <asp:CatalogZone ID="CatalogZone1" Runat="server">
                    <PartTitleStyle BackColor="#2254B1" ForeColor="White"></PartTitleStyle>
                    <ZoneTemplate>
                        <asp:PageCatalogPart Runat="server" ID="PageCatalogPart1" BackColor="#eeeeee" />
                        <asp:DeclarativeCatalogPart ID="DeclarativeCatalogPart1" Runat="server" BackColor="#eeeeee" >
                            <WebPartsTemplate>
                                <uc3:News Title="News" runat="server" ID="News1"  />
                            </WebPartsTemplate>
                        </asp:DeclarativeCatalogPart>
                        <asp:ImportCatalogPart ID="ImportCatalogPart1" Runat="server" BackColor="#eeeeee" />
                    </ZoneTemplate>
                    <PartStyle BorderColor="#81AAF2" BorderStyle="Solid" BorderWidth="1px"></PartStyle>
                </asp:CatalogZone>
            </td>
        </tr>
    </table>
</asp:Content>
